Package org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

# Interface IDifferenceGroupProvider.Descriptor

All Known Implementing Classes:
  `DifferenceGroupDescriptorWrapper`

Enclosing interface:
  `IDifferenceGroupProvider`

public static interface IDifferenceGroupProvider.Descriptor
A descriptor that can create adifference group provider. They are used as the values in a `registry`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IDifferenceGroupProvider.Descriptor.Registry`
A registry of `IDifferenceGroupProvider`.

## Method Summary

Modifier and Type
Method
Description
`IDifferenceGroupProvider`
`createGroupProvider()`
Creates a group provider.
`String`
`getDescription()`
A human-readable description for this group.
`String`
`getLabel()`
A human-readable label for this group.
`int`
`getRank()`
Rank of this group.
`IDifferenceGroupProvider.ComparisonType`
`getType()`
Return the type of Comparison this group provider can handle.

## Method Details

### createGroupProvider

IDifferenceGroupProvider createGroupProvider()
Creates a group provider.

Returns:
  the newly created group provider or null if error.

### getLabel

String getLabel()
A human-readable label for this group. This will be displayed in the EMF Compare UI.

Returns:
  The label for this group.

### getDescription

String getDescription()
A human-readable description for this group. This will be displayed in EMF Compare UI.

Returns:

### getRank

int getRank()
Rank of this group. The highest rank enabled `IDifferenceGroupProvider` will be used as default group provider.

Returns:
  the rank.

### getType

IDifferenceGroupProvider.ComparisonType getType()
Return the type of Comparison this group provider can handle.

Returns:
  `IDifferenceGroupProvider.ComparisonType`